{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Build PyInstaller EXE (to Script Dir)",
            "type": "shell",
            "command": "${command:python.interpreterPath}",
            "args": [
                "-m", "PyInstaller",
                "--onefile",
                "--add-data",
                "config:config",
                // NOUVEL ARGUMENT : Définit le dossier de sortie
                "--distpath",
                "${fileDirname}",
                "${file}"
            ],
            "presentation": {
                "reveal": "always",
                "panel": "new",
                "showReuseMessage": false
            },
            "group": "build",
            "problemMatcher": []
        }
    ]
}